#1
  1. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Feb 2001
    Posts
    1
    Rep Power
    0

    Question


    Hi,

    I am trying to connect to Oracle on unix box using DBI-DBD modules in perl. I statically linked the DBD module as dynamic linking was failure. When I run my perl application it says "DBD::Oracle::ORA_OCI() is deprecated" and "DBD::Oracle initialisation failed: Can't locate aut
    o/DBD/Oracle/ORA_OCI.al in @INC....".
    I am sure ORA_OCI.al file is nowhere on my system.
    I am stuck with this problem. Please help me out.

    Thanks
    Vibha

    ---------------------------------------------------------
    Platform
    ----------------
    - HP-UX B.11.00 A 9000/712 2010898903 two-user license
    - Perl, version 5.004_04 built for PA-RISC1.1
    DBD-Oracle-1.03
    DBI-1.13
    Mail-Sendmail-0.77
    - Apache 1.3.12 (This doesn't matter as we were using 1.3.2 sometime ago)
    - Oracle8 Enterprise Edition Release 8.0.5.0.0 - Production

    Error log message is
    ------------------------------------------------------------
    Use of inherited AUTOLOAD for non-method DBD::Oracle::ORA_OCI() is deprecated at /home
    /vibha/lib/perl5/site_perl//DBD/Oracle.pm line 48.
    [Wed Feb 7 16:35:01 2001] [error] DBD::Oracle initialisation failed: Can't locate aut
    o/DBD/Oracle/ORA_OCI.al in @INC (@INC contains: /home/vibha/lib/perl5/5.00503/ /home/v
    ibha/lib/perl5/site_perl/ /home/vibha/lib/perl5/site_perl/5.005 /opt/apache/lib/perl5/
    site_perl/5.005/PA-RISC1.1 /opt/apache/lib/perl5/site_perl/5.005 /usr/local/lib/perl5/
    5.00503/PA-RISC1.1 /usr/local/lib/perl5/5.00503 /usr/local/lib/perl5/site_perl/5.005/P
    A-RISC1.1 /usr/local/lib/perl5/site_perl/5.005 . /opt/apache/ /opt/apache/lib/perl) at
    /home/vibha/lib/perl5/site_perl//DBD/Oracle.pm line 48

    ------------------------------------------------------------

  2. #2
  3. No Profile Picture
    PerlGuy
    Devshed Novice (500 - 999 posts)

    Join Date
    Jan 2001
    Posts
    720
    Rep Power
    42

    Wink


    Depracated means that the module isn't really used anymore...are you using the DBI module? You may have to get a more recent version of DBI and the driver for oracle for this all to work...That's what I would bet on in fact.
    Go to CPAN and get the most recent version of those two things and you should be in pretty good shape.
    http://www.cpan.org/modules/by-module/

    Hope this helps
    - dsb -
    Perl Guy
  4. #3
  5. Ole` Timer
    Devshed Newbie (0 - 499 posts)

    Join Date
    Dec 2000
    Location
    N.W. Iowa
    Posts
    472
    Rep Power
    14
    Not sure what the newest version of DBI-Oracle is, but the most recent version of DBI is 1.14

    Mickalo

    Thunder Rain Internet Publishing

    Custom Programming & Database development
    Providing Personal/Business
    Internet Solutions that work!
  6. #4
  7. No Profile Picture
    PerlGuy
    Devshed Novice (500 - 999 posts)

    Join Date
    Jan 2001
    Posts
    720
    Rep Power
    42

    Wink


    You would need DBI and DBD::Oracle.
    Not to nitpick mickalo but there is a difference.
    - dsb -
    Perl Guy
  8. #5
  9. Ole` Timer
    Devshed Newbie (0 - 499 posts)

    Join Date
    Dec 2000
    Location
    N.W. Iowa
    Posts
    472
    Rep Power
    14
    Originally posted by dsb
    You would need DBI and DBD::Oracle.
    Not to nitpick mickalo but there is a difference.
    Right you are, my mistake. I did mean DBD-Oracle.. According to CPAN the most recent version is 1.06

    Cheers,

    Mickalo

    Thunder Rain Internet Publishing

    Custom Programming & Database development
    Providing Personal/Business
    Internet Solutions that work!

IMN logo majestic logo threadwatch logo seochat tools logo